Subject: Re: [forces] Requesting further comments/suggestions on IETF ForCESLogical Function Block (LFB) Subsidiary Management dratf

From: Chuanhuang <[email-masked]>
Date: Sun, 20 Jul 2014 02:46:26 +0800

Dear Bhumip,

I think this work is very meaningful, and the WG should push it forward.

I have some comments:
1: This draft is mainly for the use of virtulization, and aims to standardize an 
LFB to support this virtulization.

I think we cannot call the LFB as "FEM" directly. Because real FEM is a logical 
entity responsible for generic FE management tasks, generally, its functions 
are more abundant,such as the settings of TML protocol parameters and secure 
parameters. The functions of FEM are open and extensible.They are just not as 
you defined "The LFB is an LFB that standardizes and assists creation of NEs."
So, i suggest we need rename the standard LFB as "FEVM (FE Virtulization Management) ". 
There is inheritance relationship between FEM LFB and FEVM LFB.

2: I think Section 3 (Potential Scenarios) should pay more attention to the FEVM 
role in these scenarios. For example, in Section 3.1, we need describe the FEVM role 
in the recovery process, rather than the recovery method by using virtulization of CEs.

3:In my thought, FEVM needn't know which VFEs are in one VNE(Virtual NE), it only 
need know the VFE informations in physical FEs. Is it more reasonable that CEM has 
the visiblity to all VNE.
At the same time, The component "NE" of the LFB rename to "VNE" may be better.

Yours,
Chuanhuang

======== 2014-07-16 01:16:36  ========

Dear All,

We are planning to release updates to the LFB 
Subsidiary Management draft
( http://datatracker.ietf.org/doc/draft-khs-forces-lfb-subsidiary-management/ )
very soon.

Kindly let us know ASAP if you have any  
further comments/suggestions.

Many thanks in advance.

Best.

Draft Authors 

+++++++++++++++++++++++++++++++++++++++
Network Working Group                                      B. Khasnabish
Internet-Draft                                              ZTE TX, Inc.
Intended status: Standards Track                           E. Haleplidis
Expires: August 14, 2014                            University of Patras
                                                           J. Hadi Salim
                                                       Mojatatu Networks
                                                       February 10, 2014

     IETF ForCES Logical Function Block (LFB) Subsidiary Management
           draft-khs-forces-lfb-subsidiary-management-00.txt

Abstract

   This document discusses ForCES Logical Function Block (LFB)
   Subsidiary Management (SM).  Note that LFB SM is useful for
   introducing and supporting virtualization of ForCES Network Element
   (NE) including control Element (CE) and Forwarding Element (FE).

Status of This Memo

   This Internet-Draft is submitted in full conformance with the
   provisions of BCP 78 and BCP 79.

   Internet-Drafts are working documents of the Internet Engineering
   Task Force (IETF).  Note that other groups may also distribute
   working documents as Internet-Drafts.  The list of current Internet-
   Drafts is at http://datatracker.ietf.org/drafts/current/.

   Internet-Drafts are draft documents valid for a maximum of six months
   and may be updated, replaced, or obsoleted by other documents at any
   time.  It is inappropriate to use Internet-Drafts as reference
   material or to cite them other than as "work in progress."

   This Internet-Draft will expire on August 14, 2014.

Copyright Notice

   Copyright (c) 2014 IETF Trust and the persons identified as the
   document authors.  All rights reserved.

   This document is subject to BCP 78 and the IETF Trust's Legal
   Provisions Relating to IETF Documents
   (http://trustee.ietf.org/license-info) in effect on the date of
   publication of this document.  Please review these documents
   carefully, as they describe your rights and restrictions with respect
   to this document.  Code Components extracted from this document must
   include Simplified BSD License text as described in Section 4.e of

Khasnabish, et al. Expires August 14, 2014 [Page 1]
Internet-Draft IETF ForCES LFB Subsidiary Management February 2014

   the Trust Legal Provisions and are provided without warranty as
   described in the Simplified BSD License.

Table of Contents

   1.  Introduction  . . . . . . . . . . . . . . . . . . . . . . . .   2
     1.1.  Scope . . . . . . . . . . . . . . . . . . . . . . . . . .   3
     1.2.  Abbreviations . . . . . . . . . . . . . . . . . . . . . .   3
     1.3.  Conventions and Definitions . . . . . . . . . . . . . . .   4
   2.  Use of Virtualized ForCES Elements  . . . . . . . . . . . . .   5
     2.1.  Use of Virtualized CEs  . . . . . . . . . . . . . . . . .   5
     2.2.  Use of Virtualized FEs  . . . . . . . . . . . . . . . . .   6
   3.  Potential Scenarios . . . . . . . . . . . . . . . . . . . . .   6
     3.1.  Recovery from CE failure  . . . . . . . . . . . . . . . .   6
     3.2.  Recovery from FE failure  . . . . . . . . . . . . . . . .   6
     3.3.  Load Balancing  . . . . . . . . . . . . . . . . . . . . .   6
     3.4.  Scalable/Robust Service Function Chaining . . . . . . . .   6
     3.5.  Orchestration . . . . . . . . . . . . . . . . . . . . . .   6
     3.6.  Generic LFB Lifecycle Management  . . . . . . . . . . . .   6
       3.6.1.  Booting a CE/FE . . . . . . . . . . . . . . . . . . .   7
       3.6.2.  Bootstrapping the Configuration . . . . . . . . . . .   7
       3.6.3.  Runtime Management  . . . . . . . . . . . . . . . . .   7
   4.  Testbed Platform  . . . . . . . . . . . . . . . . . . . . . .   7
   5.  Reference Implementation  . . . . . . . . . . . . . . . . . .   7
   6.  FEM Library . . . . . . . . . . . . . . . . . . . . . . . . .   7
     6.1.  Frame Definitions . . . . . . . . . . . . . . . . . . . .   7
     6.2.  Datatype Definitions  . . . . . . . . . . . . . . . . . .   7
     6.3.  Metadata Definitions  . . . . . . . . . . . . . . . . . .   8
     6.4.  FEM . . . . . . . . . . . . . . . . . . . . . . . . . . .   8
       6.4.1.  Data Handling . . . . . . . . . . . . . . . . . . . .   8
       6.4.2.  Components  . . . . . . . . . . . . . . . . . . . . .   8
       6.4.3.  Capabilities  . . . . . . . . . . . . . . . . . . . .   9
       6.4.4.  Events  . . . . . . . . . . . . . . . . . . . . . . .   9
   7.  XML for FEM LFB . . . . . . . . . . . . . . . . . . . . . . .   9
   8.  Security Considerations . . . . . . . . . . . . . . . . . . .  13
   9.  IANA Considerations . . . . . . . . . . . . . . . . . . . . .  13
     9.1.  LFB Class Names and LFB Class Identifiers . . . . . . . .  13

= = = = = = = = = = = = = = = = = = = = = =

---

From: "[email-masked]" <[email-masked]>
Date: Sun, 20 Jul 2014 07:07:17 -0400

​Dear ​Mr. Chuanhuang,

Many thanks for your comments and support.

We are updating the draft now, and plan to address
the issues/concerns that you raise below in the next version.

Yes, we are adding additional details for the main scenarios
(recovery from FE and
​CE failures) , and plan to update the
nomenclatures per
your suggestions.

Thanks again.

Best.

Bhumip

On Sat, Jul 19, 2014 at 2:46 PM, Chuanhuang <[email-masked]>
wrote:

> (
> http://datatracker.ietf.org/doc/draft-khs-forces-lfb-subsidiary-management/
> )
> very soon.
>